MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistSong.hxx File Reference

Go to the source code of this file.

## Functions
bool | playlist_check_translate_song (DetachedSong &song, const char *base_uri, const SongLoader &loader)
| Verifies the song, returns false if it is unsafe. More...

## Function Documentation

bool playlist_check_translate_song | ( | DetachedSong & | song,
|  | const char * | base_uri,
|  | const SongLoader & | loader
| ) |  |

Verifies the song, returns false if it is unsafe.

Translate the song to a song within the database, if it is a local file.

Returns
  true on success, false if the song should not be used